﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace LegendSample
{
    public class simpleSample : ContentPage
    {
        ObservableCollection<ChartDataPoint> datas;
		ObservableCollection<ChartDataPoint> OtherData;
        SfChart chart;
		  
		PieSeries Series;
    
        public simpleSample()
        {
           
            datas = new ObservableCollection<ChartDataPoint>();
			OtherData = new ObservableCollection<ChartDataPoint>();

            chart = new SfChart();
           
            chart.Title.Text = "PieChart";
            chart.VerticalOptions = LayoutOptions.FillAndExpand;

            datas.Add(new ChartDataPoint("Jan", 499720.96));
            datas.Add(new ChartDataPoint("Feb", 123049.56));
            datas.Add(new ChartDataPoint("Mar", 1659));
            datas.Add(new ChartDataPoint("Apr", 6552));
            datas.Add(new ChartDataPoint("May", 10223));
            datas.Add(new ChartDataPoint("Jun", 156));
			datas.Add(new ChartDataPoint("Jun", 4500));


			double totalYValues = 0;
			for (int i = 0; i < datas.Count; i++)
			{
				//Here you we have set the limit 10000,Hence the values less than 10000 are grouped together
				if (datas[i].YValue > 10000)
				{
					OtherData.Add(new ChartDataPoint(datas[i].XValue, datas[i].YValue));

				}
				else
				{
					totalYValues += datas[i].YValue;
				}
			}

			OtherData.Add(new ChartDataPoint("OtherDatas", totalYValues));

			Series = new PieSeries
            {
				ItemsSource = OtherData,
                EnableSmartLabels = true,
                DataMarker = new ChartDataMarker { ShowLabel = true },
				DataMarkerPosition = CircularSeriesDataMarkerPosition.Outside,
            };

            chart.Series.Add(Series);

			Content = chart;
        }
    }
}
